



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>sqlserver 时间格式函数详细</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">sqlserver 时间格式函数详细</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-01 12:14:13 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>一、时间函数</strong></p>
<hr />
<p>在使用存储过程，sql函数的时候，会遇到一些对时间的处理。比如时间的获取与加减。这里就用到了sql自带的时间函数。下面我列出这些函数，方便日后记忆，使用。</p>
<div>
<pre class="prettyprint linenums"> --getdate 获取当前时间<br />
 select getdate()

 --dateadd 原有时间加： 2013-02-17 13:20:16 此时间加12个月<br />
 select dateadd(MONTH,12,'2013-02-17 13:20:16')  --返回：2014-02-17 13:20:16.000  （参数month可以改为 day，year等日期加相应的值）

 --datediff 两个时间的差 （后面-前面=返回值）<br />
 select datediff(day,'2013-02-01','2013-02-18')   --返回：17  （参数day可以改为 month，year等日期加相应的值）

 --datepart 获取日期的某个部分整数<br />
 select DATEPART(month, '2013-2-17')  --返回 2    （参数month可以改为 day，year等日期加相应的值）

 --datename 获取指定部位的字符串<br />
 select datename(weekday, '2013-2-17')  --返回 星期日 （参数weekday可以改为 day，year等日期加相应的值）

 --day(), month(),year() 获取指定部位的字符串<br />
 select day('2013-2-15') --返回15</pre>
</div>
<hr />
<p><strong>二、时间格式转换</strong></p>
<hr />
<div>
<pre class="prettyprint linenums">Select replace(replace(replace(CONVERT(varchar, getdate(), 120 ),'-',''),' ',''),':','') --返回 20130217133828

Select CONVERT(varchar(100), GETDATE(), 0): 05 16 2006 10:57AM&nbsp;

Select CONVERT(varchar(100), GETDATE(), 1): 05/16/06&nbsp;

Select CONVERT(varchar(100), GETDATE(), 2): 06.05.16&nbsp;

Select CONVERT(varchar(100), GETDATE(), 3): 16/05/06&nbsp;

Select CONVERT(varchar(100), GETDATE(), 4): 16.05.06&nbsp;

Select CONVERT(varchar(100), GETDATE(), 5): 16-05-06&nbsp;

Select CONVERT(varchar(100), GETDATE(), 6): 16 05 06&nbsp;

Select CONVERT(varchar(100), GETDATE(), 7): 05 16, 06&nbsp;

Select CONVERT(varchar(100), GETDATE(), 8): 10:57:46&nbsp;

Select CONVERT(varchar(100), GETDATE(), 9): 05 16 2006 10:57:46:827AM&nbsp;

Select CONVERT(varchar(100), GETDATE(), 10): 05-16-06&nbsp;

Select CONVERT(varchar(100), GETDATE(), 11): 06/05/16&nbsp;

Select CONVERT(varchar(100), GETDATE(), 12): 060516&nbsp;

Select CONVERT(varchar(100), GETDATE(), 13): 16 05 2006 10:57:46:937&nbsp;

Select CONVERT(varchar(100), GETDATE(), 14): 10:57:46:967&nbsp;

Select CONVERT(varchar(100), GETDATE(), 20): 2006-05-16 10:57:47&nbsp;

Select CONVERT(varchar(100), GETDATE(), 21): 2006-05-16 10:57:47.157&nbsp;

Select CONVERT(varchar(100), GETDATE(), 22): 05/16/06 10:57:47 AM&nbsp;

Select CONVERT(varchar(100), GETDATE(), 23): 2006-05-16&nbsp;

Select CONVERT(varchar(100), GETDATE(), 24): 10:57:47&nbsp;

Select CONVERT(varchar(100), GETDATE(), 25): 2006-05-16 10:57:47.250&nbsp;

Select CONVERT(varchar(100), GETDATE(), 100): 05 16 2006 10:57AM&nbsp;

Select CONVERT(varchar(100), GETDATE(), 101): 05/16/2006&nbsp;

Select CONVERT(varchar(100), GETDATE(), 102): 2006.05.16&nbsp;

Select CONVERT(varchar(100), GETDATE(), 103): 16/05/2006&nbsp;

Select CONVERT(varchar(100), GETDATE(), 104): 16.05.2006&nbsp;

Select CONVERT(varchar(100), GETDATE(), 105): 16-05-2006&nbsp;

Select CONVERT(varchar(100), GETDATE(), 106): 16 05 2006&nbsp;

Select CONVERT(varchar(100), GETDATE(), 107): 05 16, 2006&nbsp;

Select CONVERT(varchar(100), GETDATE(), 108): 10:57:49&nbsp;

Select CONVERT(varchar(100), GETDATE(), 109): 05 16 2006 10:57:49:437AM&nbsp;

Select CONVERT(varchar(100), GETDATE(), 110): 05-16-2006&nbsp;

Select CONVERT(varchar(100), GETDATE(), 111): 2006/05/16&nbsp;

Select CONVERT(varchar(100), GETDATE(), 112): 20060516&nbsp;

Select CONVERT(varchar(100), GETDATE(), 113): 16 05 2006 10:57:49:513&nbsp;

Select CONVERT(varchar(100), GETDATE(), 114): 10:57:49:547&nbsp;

Select CONVERT(varchar(100), GETDATE(), 120): 2006-05-16 10:57:49&nbsp;

Select CONVERT(varchar(100), GETDATE(), 121): 2006-05-16 10:57:49.700&nbsp;

Select CONVERT(varchar(100), GETDATE(), 126): 2006-05-16T10:57:49.827&nbsp;

Select CONVERT(varchar(100), GETDATE(), 130): 18 ???? ?????? 1427 10:57:49:907AM</pre>
</div>
<hr />
<p>三、时间格式相关表格</p>
<hr />
<table>
<tbody>
<tr>
<td><strong>函数</strong></td>
<td><strong>参数/功能</strong></td>
</tr>
<tr>
<td>GetDate( )</td>
<td>返回系统目前的日期与时间</td>
</tr>
<tr>
<td>DateDiff (interval,date1,date2)</td>
<td>以interval 指定的方式，返回date2 与date1两个日期之间的差值 date2-date1</td>
</tr>
<tr>
<td>DateAdd (interval,number,date)</td>
<td>以interval指定的方式，加上number之后的日期</td>
</tr>
<tr>
<td>DatePart (interval,date)</td>
<td>返回日期date中，interval指定部分所对应的整数值</td>
</tr>
<tr>
<td>DateName (interval,date)</td>
<td>返回日期date中，interval指定部分所对应的字符串名称</p>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><strong>值</strong></td>
<td><strong>缩 写（Sql Server）</strong></td>
<td><strong>Access 和 ASP</strong></td>
<td><strong>说明</strong></td>
</tr>
<tr>
<td>Year</td>
<td>Yy</td>
<td>yyyy</td>
<td>年 1753 ~ 9999</td>
</tr>
<tr>
<td>Quarter</td>
<td>Qq</td>
<td>q&nbsp;</td>
<td>季 1 ~ 4</td>
</tr>
<tr>
<td>Month</td>
<td>Mm</td>
<td>m&nbsp;</td>
<td>月1 ~ 12</td>
</tr>
<tr>
<td>Day of year</td>
<td>Dy</td>
<td>y</td>
<td>一年的日数,一年中的第几日 1-366</td>
</tr>
<tr>
<td>Day</td>
<td>Dd</td>
<td>d&nbsp;</td>
<td>日，1-31</td>
</tr>
<tr>
<td>Weekday</td>
<td>Dw</td>
<td>w</td>
<td>一周的日数，一周中的第几日 1-7</td>
</tr>
<tr>
<td>Week</td>
<td>Wk</td>
<td>ww</td>
<td>周，一年中的第几周 0 ~ 51</td>
</tr>
<tr>
<td>Hour</td>
<td>Hh</td>
<td>h&nbsp;</td>
<td>时0 ~ 23</td>
</tr>
<tr>
<td>Minute</td>
<td>Mi</td>
<td>n&nbsp;</td>
<td>分钟0 ~ 59</td>
</tr>
<tr>
<td>Second</td>
<td>Ss</td>
<td>s</td>
<td>秒 0 ~ 59</td>
</tr>
<tr>
<td>Millisecond</td>
<td>Ms</td>
<td>-</td>
<td>毫秒 0 ~ 999</td>
</tr>
</tbody>
</table>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m965zvq4.html">SQL数据类型</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq40pn8z.html">WCF备忘录一：服务端实例的生命周期</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8kn2338.html">浏览器桌面通知--Notification</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdo0xx8.html">通过js给android控件WebView设padding</a>
		</li>
						<li><a href="https://www.batexi.com/a/m96lywy9.html">【Thinking in Java】组合、继承和代理的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/93x330w9.html">&lpar;转&rpar;MSSQL 各个发行版本版本号以及Compact 版本号</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wgvkwq.html">&lbrack;java学习笔记&rsqb;java语言基础概述之转义字符&amp;amp&semi;break&amp;amp&semi;continue</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdvk679.html">SYSAUX表空间使用率高问题处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4z27009.html">ffmpeg结构体以及函数介绍（三）</a>
		</li>
						<li><a href="https://www.batexi.com/a/95066108.html">精通ArrayList&comma;关于ArrayList你想知道的一切</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pwj6448.html">记一次java电话面试</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv213p19.html">Python复杂场景下字符串处理相关问题与解决技巧</a>
		</li>
						<li><a href="https://www.batexi.com/a/95gyx1vq.html">Hyper-V 安装系统</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1vmjl2q.html">GrowingIO接入SDK简介</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zkoyg18.html">J1850 Implement</a>
		</li>
						<li><a href="https://www.batexi.com/a/8em6rgm9.html">MultiplyVector方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qx2062d8.html">SQL on Hadoop 的真相（2）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9636x7v9.html">echarts学习心得1---模块化单文件引入和标签式单文件引入</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e0ervxq.html">Hive Shell常用操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/95p3yeeq.html">（杭电2053）A &plus; B Again（转换说明符）</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/5qxd23e9.html">HTML和CSS经典布局4</a>
			</li>
						<li><a href="https://www.batexi.com/a/r93wpm0q.html">每周一书《Oracle 12 c PL&lpar;SQL&rpar;程序设计终极指南》</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8kjm039.html">Entity Framework 基础知识走马观花</a>
			</li>
						<li><a href="https://www.batexi.com/a/495gpn6q.html">Redhat环境下编译安装Google Bazel</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8e4o3k9.html">《Entity Framework 6 Recipes》中文翻译系列 &lpar;23&rpar; -----第五章 加载实体和导航属性之预先加载与Find&lpar;&rpar;方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8e4j3k9.html">JavaScript字符串排序localeCompare&lpar;&rpar;笔记</a>
			</li>
						<li><a href="https://www.batexi.com/a/wq1rl158.html">NodeJS中 package&period;json各属性分析</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q7odxx8.html">tomcat 的优化配置</a>
			</li>
						<li><a href="https://www.batexi.com/a/oqv2jr19.html">设置Distribution clean up 每次删除Command的数量</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q7o2y18.html">Sql Server系列：运算符和表达式</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
